V1.0
post
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/sdvGroup
Creates a source data verification group with unique name and values for keys (initial subjects count,remaining subject percentage, initial subjects SDF type and remaining subject SDF type).
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSource Data Verification (SDV) group configuration and its attribute key-value pairs
Show Source
-
sdvGroupId: string
ID of the Source Data Verification (SDV) group. The format is UUID, 32-character uppercase hexadecimal string.Example:
EFC64B3862FD4C85BB8DBEAE2AE26B13 -
sdvGroupKeyValPairs: array
sdvGroupKeyValPairs
Key-value attributes that define SDV strategy behavior
-
sdvGroupName(required): string
Minimum Length:
0Maximum Length:255Human readable name of the SDV group.Example:StrategyTestSite
Nested Schema : sdvGroupKeyValPairs
Type:
arrayKey-value attributes that define SDV strategy behavior
Show Source
-
Array of:
object SDVGroupKeyValDto
Key-value attribute for SDV group configuration
Nested Schema : SDVGroupKeyValDto
Type:
objectKey-value attribute for SDV group configuration
Show Source
-
attributeKey(required): string
Minimum Length:
0Maximum Length:255Key for a configurable attribute associated with this SDV group. Values may be REMAINING_SUBJECTS_PERCENTAGE, REMAINING_SUBJECTS_SDV_TYPE, INITIAL_SUBJECTS_SDV_TYPE, INITIAL_SUBJECTS_COUNT.Example:INITIAL_SUBJECTS_COUNT -
attributeValue(required): string
Minimum Length:
0Maximum Length:255Value for a configurable attribute associated with this SDV group. The acceptable values are - All Questions, Critical Questions Only or it can be a number like 30.Example:All Questions
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object schema
Source Data Verification (SDV) group configuration and its attribute key-value pairs
Nested Schema : schema
Type:
objectSource Data Verification (SDV) group configuration and its attribute key-value pairs
Show Source
-
sdvGroupId: string
ID of the Source Data Verification (SDV) group. The format is UUID, 32-character uppercase hexadecimal string.Example:
EFC64B3862FD4C85BB8DBEAE2AE26B13 -
sdvGroupKeyValPairs: array
sdvGroupKeyValPairs
Key-value attributes that define SDV strategy behavior
-
sdvGroupName(required): string
Minimum Length:
0Maximum Length:255Human readable name of the SDV group.Example:StrategyTestSite
Nested Schema : sdvGroupKeyValPairs
Type:
arrayKey-value attributes that define SDV strategy behavior
Show Source
-
Array of:
object SDVGroupKeyValDto
Key-value attribute for SDV group configuration
Nested Schema : SDVGroupKeyValDto
Type:
objectKey-value attribute for SDV group configuration
Show Source
-
attributeKey(required): string
Minimum Length:
0Maximum Length:255Key for a configurable attribute associated with this SDV group. Values may be REMAINING_SUBJECTS_PERCENTAGE, REMAINING_SUBJECTS_SDV_TYPE, INITIAL_SUBJECTS_SDV_TYPE, INITIAL_SUBJECTS_COUNT.Example:INITIAL_SUBJECTS_COUNT -
attributeValue(required): string
Minimum Length:
0Maximum Length:255Value for a configurable attribute associated with this SDV group. The acceptable values are - All Questions, Critical Questions Only or it can be a number like 30.Example:All Questions
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.